Skip to content

Get Work Message

GET
/work/messages/{message_id}

One message, if this credential may read the conversation carrying it. With include_record_context=true, an agent’s message also carries the custom records it names that this key may read; the message is otherwise unchanged.

Authorizations

Parameters

Path Parameters

message_id
required

Message id

string

Message id

Query Parameters

include_record_context

Also return the custom records an agent’s message names that this key may read

boolean

Also return the custom records an agent’s message names that this key may read

Header Parameters

X-Target-Org-Id
Any of:
string

Responses

200

Successful Response

object
data
required

One stored Work message.

object
author
Any of:
object
key
additional properties
any
channel
Any of:
string
createdAt
Any of:
string
document
Any of:
object
key
additional properties
any
id
Any of:
string
record_context
Any of:
Array<object>
object
key
additional properties
any
record_context_unavailable
Any of:
integer
text
Any of:
string
key
additional properties
any
pagination
Any of:
object
has_next
required

Whether there are more pages

boolean
limit
required

Items per page

integer
next_cursor
Any of:
string
notes
Any of:
Array<string>
page
required

Current page number (1-indexed)

integer
total
required

Total number of items

integer
total_available
Any of:
integer
total_is_lower_bound
Any of:
boolean

422

Validation Error

object
detail
Array<object>
object
loc
required
Array
msg
required
string
type
required
string